/*
    This class is a basic extension of the Applet class.  It would generally be
    used as the main class with a Java browser or the AppletViewer.  But an instance
    can be added to a subclass of Container.  To use this applet with a browser or
    the AppletViewer, create an html file with the following code:

    <HTML>
    <HEAD>
    <TITLE> A simple program </TITLE>
    </HEAD>
    <BODY>

    <APPLET CODE="DocTest.class" WIDTH=332 HEIGHT=169></APPLET>

    </BODY>

    </HTML>

    You can add controls to DocTest with Cafe Studio.
    (Menus can be added only to subclasses of Frame.)
 */

import java.awt.*;
import java.applet.*;

public class DocTest extends Applet {

    public void init() {

        super.init();


        Employee newEmp = new Employee(35000, "mike", "cohn");
        newEmp.AssignJob("King");



        //{{INIT_CONTROLS
        setLayout(null);
        resize(230,190);

        label1=new Label(newEmp.GetJobTitle());
//        label1=new Label("A Simple Applet");
        add(label1);
        label1.reshape(61,73,98,15);
        //}}
    }

    public boolean handleEvent(Event event) {
        return super.handleEvent(event);
    }

    //{{DECLARE_CONTROLS
    Label label1;
    //}}

}
